export class CasingUtils {
    static kebabCaseToCamelCase(str) {
        return str.replace(/-([a-z])/g, (g) => g[1].toUpperCase());
    }
    static kebabCaseToPascalCase(str) {
        const camelCase = CasingUtils.kebabCaseToCamelCase(str);
        return camelCase.charAt(0).toUpperCase() + camelCase.slice(1);
    }
    static camelCaseToKebabCase(str) {
        return str.replace(/([a-z])([A-Z])/g, '$1-$2').toLowerCase();
    }
    static camelCaseToSnakeCase(str) {
        return str.replace(/([a-z])([A-Z])/g, '$1_$2').toLowerCase();
    }
    static pascalCaseToCamelCase(str) {
        return str.charAt(0).toLowerCase() + str.slice(1);
    }
    static pascalCaseToKebabCase(str) {
        return CasingUtils.camelCaseToKebabCase(CasingUtils.pascalCaseToCamelCase(str));
    }
    static anyCaseToPascalCase(str) {
        return str
            .replace(/[-_]/g, ' ') // replace hyphens and underscores with spaces
            .split(/(?=[A-Z])|\s+/) // split on uppercase (for camelCase) or spaces
            .map((word) => word.charAt(0).toUpperCase() + word.slice(1).toLowerCase())
            .join('');
    }
}
//# sourceMappingURL=casing.js.map