import inquirer from 'inquirer';
// import path from 'path';
import { PathPrompt } from 'inquirer-path';
import { TAB, redColor } from '../utils/oraUtils.js';
export const inquirerFuzzy = async (q, source) => {
    inquirer.registerPrompt('path', PathPrompt);
    const answer = await inquirer.prompt([
        {
            type: 'path',
            name: q.name,
            directoryOnly: true,
            default: q.default,
            message: q.message,
            // If provided path is relative, it will be resolved based on cwd.
            cwd: process.cwd(), //'.',
        },
    ], source);
    const inputPath = answer[q.name];
    return inputPath;
};
export const inquirerSimpleConfirm = async (name, message = '', def = '') => {
    const question = [
        {
            type: 'confirm',
            name: name,
            default: def,
            message: message,
        },
    ];
    const answers = await inquirer.prompt(question);
    return answers[name];
};
export const printError = (message) => {
    console.log(TAB + '❌ ' + redColor(message));
};
//# sourceMappingURL=inquirer.js.map